## breeze 6.5.1+p24.04+vstable+git20251031.0858

=== debian/changelog ===
breeze (4:6.5.1+p24.04+vstable+git20251031.0858-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:58:48 +0000

## breeze 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(breeze)
set(PROJECT_VERSION "6.5.2")

set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(QT5_MIN_VERSION "5.15.2")
set(QT_MIN_VERSION "6.9.0")

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# We need this because we can't include KDECMakeSettings here, because that
# would need KDEInstallDirs, which we can only include in the qt{5,6} builds
# to get the correct installation dirs for each Qt version.
option(BUILD_TESTING "Build the testing tree." ON)
if(BUILD_TESTING)
    enable_testing()
endif()

include(CMakePackageConfigHelpers)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(GtkUpdateIconCache)


option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

function(build_Qt5)
    set(QT_MAJOR_VERSION 5)
    include(KDEInstallDirs5)
    include(KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt5 ${QT5_MIN_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt5DBus_FOUND})

        find_package(KF5FrameworkIntegration ${KF5_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS X11Extras)
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")
    endif()

    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        Config
        ConfigWidgets
        GuiAddons
        IconThemes
        WindowSystem)

    find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt5Quick_FOUND})
        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF5FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt5Quick_FOUND})

    add_subdirectory(kstyle kstyle5)
    add_subdirectory(libbreezecommon libbreezecommon5)

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT5)
    build_Qt5()
endif()

function(build_Qt6)
    set(QT_MAJOR_VERSION 6)
    include(KDEInstallDirs6)
    include(KDECMakeSettings)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt6DBus_FOUND})

        option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
        option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)

        find_package(KF6FrameworkIntegration ${KF6_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF6 Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(KF6KCMUtils ${KF6_MIN_VERSION})
        set_package_properties(KF6KCMUtils PROPERTIES
            TYPE REQUIRED
            DESCRIPTION "Helps create configuration modules"
            PURPOSE "KCMUtils used for the configuration modules or the decoration and Qt Style"
        )
    else()
        set(WITH_DECORATIONS OFF)
        set(WITH_WALLPAPERS OFF)
    endif()

    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Core Svg)

    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        ColorScheme
        Config
        GuiAddons
        I18n
        IconThemes
        WindowSystem)

    find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt6Quick_FOUND})
        find_package(KF6KirigamiPlatform ${KF6_MIN_VERSION} REQUIRED)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF6FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt6Quick_FOUND})

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(kstyle kstyle6)
    add_subdirectory(libbreezecommon libbreezecommon6)
    add_subdirectory(misc)

    if(WITH_DECORATIONS)
        find_package(KDecoration3 REQUIRED)
        add_subdirectory(kdecoration)
    endif()
    if (WITH_WALLPAPERS)
        add_subdirectory(wallpapers)
    endif()

    ki18n_install(po)

    # create a Config.cmake and a ConfigVersion.cmake file and install them
    include(ECMSetupVersion)
    ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX BREEZE
        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
    )
    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Breeze")

    configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                                  PATH_VARS KDE_INSTALL_FULL_DATADIR
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )
    install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                   "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
            DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            COMPONENT Devel
    )

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT6)
    build_Qt6()
endif()

function(build_colors_and_cursors)
    # While it is technically not 100% correct to use versionless
    # KDEInstallDirs while (maybe) building for both Qt versions,
    # it doesn't really matter at the end, because colors and cursors
    # only use ICONDIR and DATADIR which both do not depend on the version
    include(KDEInstallDirs)
    add_subdirectory(colors)
    add_subdirectory(cursors)
endfunction()

build_colors_and_cursors()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== misc/qtcurvepreset/CMakeLists.txt ===

INSTALL(FILES Breeze.qtcurve DESTINATION ${KDE_INSTALL_DATADIR}/QtCurve/)

=== debian/changelog ===
breeze (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:14 +0000

breeze (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:32 +0000

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkdecorations3-dev (>= 4:6.5.2~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6style-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/?p=breeze.git/breeze
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Rules-Requires-Root: no

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         kf6-breeze-icon-theme,
         breeze-wallpaper (= ${source:Version}),
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-style-breeze-qt5 (= ${binary:Version}),
Description: Default Plasma theme (Metapackage)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-wallpaper
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze (<< 4:6.2.5-1~),
Replaces: breeze (<< 4:6.2.5-1~),
Description: Default Plasma wallpaper
 This is the default wallpaper for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-cursor-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Default Plasma cursor theme
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
Description: Default Plasma theme (development files)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-qt5
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Breaks: kde-style-breeze (<< 4:6.2.5-1~),
Replaces: kde-style-breeze (<< 4:6.2.5-1~),
Description: Widget style for Qt and KDE Software running Qt5
 This is the default widget style for KDE's Plasma desktop for apps still
 depending on Qt5 and KDE Frameworks 5.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kde-style-breeze (<< 4:6.2.5-1~),
Replaces: kde-style-breeze (<< 4:6.2.5-1~),
Description: Widget style for Qt and KDE Software - data files
 This is the default widget style for KDE's Plasma desktop.
 .
 This package containts the architecture-independent data files used by both
 the Qt6 and Qt5 versions of the Breeze theme module.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: kde-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## breeze 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.18.0")

=== libbreezecommon/CMakeLists.txt ===
add_library(breezecommon${QT_MAJOR_VERSION} OBJECT breezeboxshadowrenderer.cpp)

set_target_properties(breezecommon${QT_MAJOR_VERSION} PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

target_link_libraries(breezecommon${QT_MAJOR_VERSION}
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui)

=== debian/changelog ===
breeze (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:05:39 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.5.2~),
+               libkdecorations3-dev (>= 4:6.5.3~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),

## breeze 6.5.3+p24.04+vunstable+git20251201.0016

=== debian/changelog ===
breeze (4:6.5.3+p24.04+vunstable+git20251201.0016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 00:16:19 +0000

breeze (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:01 +1000

breeze (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:53 +1000

## breeze 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
breeze (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)
  * Drop upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:15:22 +0000

breeze (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * Cherry pick two uptream patches to fix over large menus.

 -- Rik Mills <rikmills@kde.org>  Fri, 21 Nov 2025 11:59:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.5.3~),
+               libkdecorations3-dev (>= 4:6.5.4~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -51,9 +51,9 @@
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         kf6-breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
+         kf6-breeze-icon-theme,
          kwin-style-breeze (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -65,17 +65,6 @@
  widget style for the Plasma 6 desktop.
  .
  This package is part of the KDE base workspace module.
-
-Package: breeze-wallpaper
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.2.5-1~),
-Replaces: breeze (<< 4:6.2.5-1~),
-Description: Default Plasma wallpaper
- This is the default wallpaper for the KDE Plasma 6 desktop.
- .
- This package is part of the Breeze theme module.
 
 Package: breeze-cursor-theme
 Architecture: all
@@ -96,6 +85,17 @@
  .
  This package is part of the KDE base workspace module.
 
+Package: breeze-wallpaper
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: breeze (<< 4:6.2.5-1~),
+Replaces: breeze (<< 4:6.2.5-1~),
+Description: Default Plasma wallpaper
+ This is the default wallpaper for the KDE Plasma 6 desktop.
+ .
+ This package is part of the Breeze theme module.
+
 Package: kde-style-breeze
 Architecture: any
 Depends: kde-style-breeze-data (= ${source:Version}),
@@ -104,6 +104,19 @@
 Recommends: libkf6kcmutils-bin,
 Description: Widget style for Qt and KDE Software
  This is the default widget style for KDE's Plasma desktop.
+ .
+ This package is part of the Breeze theme module.
+
+Package: kde-style-breeze-data
+Architecture: all
+Depends: ${misc:Depends},
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Description: Widget style for Qt and KDE Software - data files
+ This is the default widget style for KDE's Plasma desktop.
+ .
+ This package containts the architecture-independent data files used by both
+ the Qt6 and Qt5 versions of the Breeze theme module.
  .
  This package is part of the Breeze theme module.
 
@@ -121,19 +134,6 @@
  .
  This package is part of the Breeze theme module.
 
-Package: kde-style-breeze-data
-Architecture: all
-Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
-Description: Widget style for Qt and KDE Software - data files
- This is the default widget style for KDE's Plasma desktop.
- .
- This package containts the architecture-independent data files used by both
- the Qt6 and Qt5 versions of the Breeze theme module.
- .
- This package is part of the Breeze theme module.
-
 Package: kwin-style-breeze
 Architecture: any
 Depends: kde-style-breeze (= ${binary:Version}),

## breeze 6.5.4+p24.04+vstable+git20251231.0449

=== debian/changelog ===
breeze (4:6.5.4+p24.04+vstable+git20251231.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:49:37 +0000

breeze (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:14 +1000

## breeze 6.5.4+p24.04+vunstable+git20251209.1433

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
breeze (4:6.5.4+p24.04+vunstable+git20251209.1433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:34:05 +0000

## breeze 6.5.4+p24.04+vunstable+git20251211.0249

=== debian/changelog ===
breeze (4:6.5.4+p24.04+vunstable+git20251211.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:50:02 +0000

## breeze 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
breeze (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.5.4~),
+               libkdecorations3-dev (>= 4:6.5.5~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),

## breeze 6.5.5+p24.04+vstable+git20260131.0443

=== debian/changelog ===
breeze (4:6.5.5+p24.04+vstable+git20260131.0443-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:43:20 +0000

breeze (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:21 +1000

## breeze 6.5.5+p24.04+vstable+git20260202.1022

=== debian/changelog ===
breeze (4:6.5.5+p24.04+vstable+git20260202.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:22:31 +0000

## breeze 6.5.5+p24.04+vunstable+git20260204.0108

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
 set(KF5_MIN_VERSION "5.102.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(QT5_MIN_VERSION "5.15.2")
-set(QT_MIN_VERSION "6.9.0")
+set(QT_MIN_VERSION "6.10.0")
 
 include(GenerateExportHeader)
 include(WriteBasicConfigVersionFile)
@@ -154,11 +154,6 @@
     # https://bugreports.qt.io/browse/QTBUG-114706
     add_library(Qt::Core ALIAS Qt6::Core)
     add_library(Qt::Gui ALIAS Qt6::Gui)
-    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
-    add_library(Qt::Network ALIAS Qt6::Network)
-    if(Qt6_VERSION_MINOR GREATER 6)
-        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
-    endif()
 
     add_subdirectory(kstyle kstyle6)
     add_subdirectory(libbreezecommon libbreezecommon6)

=== debian/changelog ===
breeze (4:6.5.5+p24.04+vunstable+git20260204.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:08:15 +0000

## breeze 6.6.1

=== kdecoration/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="breeze_kwin_deco")

################# includes #################
include_directories(${CMAKE_SOURCE_DIR}/libbreezecommon)
include_directories(${CMAKE_BINARY_DIR}/libbreezecommon)

################# newt target #################
### plugin classes
set(breezedecoration_SRCS
    breezebutton.cpp
    breezedecoration.cpp
    breezesettingsprovider.cpp
    breezeexceptionlist.cpp
)

### build library
kconfig_add_kcfg_files(breezedecoration_SRCS breezesettings.kcfgc)
add_library(breezedecoration MODULE
    ${breezedecoration_SRCS}
    ${breezedecoration_config_PART_FORMS_HEADERS})

set_target_properties(breezedecoration PROPERTIES
    OUTPUT_NAME org.kde.breeze
)

target_link_libraries(breezedecoration
    PRIVATE
        breezecommon6
        Qt6::DBus
        KF6::CoreAddons
        KF6::ConfigGui
        KF6::GuiAddons
        KF6::I18n
        KF6::IconThemes
        KDecoration3::KDecoration
        KF6::ColorScheme
)

install(TARGETS breezedecoration DESTINATION ${KDE_INSTALL_PLUGINDIR}/${KDECORATION_PLUGIN_DIR})

add_subdirectory(config)

=== debian/changelog ===
breeze (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:11:47 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.5.5~),
+               libkdecorations3-dev (>= 4:6.6.1~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -23,23 +23,23 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6style-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6style-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-svg-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0

## breeze 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(breeze)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 
 set(KF5_MIN_VERSION "5.102.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
breeze (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:20:36 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                extra-cmake-modules (>= 6.22.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.6.1~),
+               libkdecorations3-dev (>= 4:6.6.2~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
